Package org.eclipse.m2m.atl.engine.vm.nativelib

## Class ASMTransientLinkSet

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
  - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
    - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMTransientLinkSet

    public class ASMTransientLinkSet
    extends ASMOclAny

ASMTransientLinkSet represents a set of traceability links.

### Field Summary

Fields
`static ASMOclType` `myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

### Constructor Summary

Constructors
`ASMTransientLinkSet()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addLink​(StackFrame frame, ASMTransientLinkSet self, ASMTransientLink link)`
`static void` `addLink2​(StackFrame frame, ASMTransientLinkSet self, ASMTransientLink link, ASMBoolean isDefault)`
`static ASMSequence` `getAllLinks​(StackFrame frame, ASMTransientLinkSet self)` This method allows for retrieving all the TransientLinks in a Sequence
`static ASMOclAny` `getLinkByRuleAndSourceElement​(StackFrame frame, ASMTransientLinkSet self, ASMOclAny rule, ASMOclAny sourceElement)`
`static ASMOclAny` `getLinkBySourceElement​(StackFrame frame, ASMTransientLinkSet self, ASMOclAny sourceElement)`
`static ASMOclAny` `getLinkByTargetElement​(StackFrame frame, ASMTransientLinkSet self, ASMOclAny targetElement)`
`static ASMSequence` `getLinksByRule​(StackFrame frame, ASMTransientLinkSet self, ASMOclAny rule)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### myType

    public static ASMOclType myType

### Constructor Detail

#### ASMTransientLinkSet

    public ASMTransientLinkSet()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### addLink

    public static void addLink​(StackFrame frame,
                               ASMTransientLinkSet self,
                               ASMTransientLink link)

#### addLink2

    public static void addLink2​(StackFrame frame,
                                ASMTransientLinkSet self,
                                ASMTransientLink link,
                                ASMBoolean isDefault)

#### getLinksByRule

    public static ASMSequence getLinksByRule​(StackFrame frame,
                                             ASMTransientLinkSet self,
                                             ASMOclAny rule)

#### getLinkBySourceElement

    public static ASMOclAny getLinkBySourceElement​(StackFrame frame,
                                                   ASMTransientLinkSet self,
                                                   ASMOclAny sourceElement)

#### getLinkByRuleAndSourceElement

    public static ASMOclAny getLinkByRuleAndSourceElement​(StackFrame frame,
                                                          ASMTransientLinkSet self,
                                                          ASMOclAny rule,
                                                          ASMOclAny sourceElement)

#### getLinkByTargetElement

    public static ASMOclAny getLinkByTargetElement​(StackFrame frame,
                                                   ASMTransientLinkSet self,
                                                   ASMOclAny targetElement)

#### getAllLinks

    public static ASMSequence getAllLinks​(StackFrame frame,
                                          ASMTransientLinkSet self)

This method allows for retrieving all the TransientLinks in a Sequence

Parameters:
  `frame` -
  `self` -
Returns:
  A Sequence of TransientLinks is returned.